# DO NOT DELETE: Beginning of Haskell dependencies
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/ClosureTypes.o : libraries/ghc-heap/GHC/Exts/Heap/ClosureTypes.hs
$(eval $(call hi-rule,libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/ClosureTypes.hi  : %hi: %o  libraries/ghc-heap/GHC/Exts/Heap/ClosureTypes.hs))
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/ClosureTypes.o : libraries/base/dist-install/build/Prelude.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Constants.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Constants.hs
$(eval $(call hi-rule,libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Constants.hi  : %hi: %o  libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Constants.hs))
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Constants.o : libraries/base/dist-install/build/Prelude.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Constants.o : libraries/base/dist-install/build/Data/Bits.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable/Types.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable/Types.hs
$(eval $(call hi-rule,libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable/Types.hi  : %hi: %o  libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable/Types.hs))
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable/Types.o : libraries/base/dist-install/build/Prelude.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable/Types.o : libraries/base/dist-install/build/Foreign.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable/Types.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/ClosureTypes.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable.hs
$(eval $(call hi-rule,libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable.hi  : %hi: %o  libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable.hs))
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable.o : libraries/base/dist-install/build/Prelude.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable.o : libraries/base/dist-install/build/Foreign.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable/Types.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTableProf.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTableProf.hs
$(eval $(call hi-rule,libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTableProf.hi  : %hi: %o  libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTableProf.hs))
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTableProf.o : libraries/base/dist-install/build/Prelude.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTableProf.o : libraries/base/dist-install/build/Foreign.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTableProf.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable/Types.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Closures.o : libraries/ghc-heap/GHC/Exts/Heap/Closures.hs
$(eval $(call hi-rule,libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Closures.hi  : %hi: %o  libraries/ghc-heap/GHC/Exts/Heap/Closures.hs))
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Closures.o : libraries/base/dist-install/build/Prelude.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Closures.o : libraries/base/dist-install/build/Numeric.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Closures.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Closures.o : libraries/base/dist-install/build/Data/Word.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Closures.o : libraries/base/dist-install/build/Data/Int.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Closures.o : libraries/base/dist-install/build/Data/Bits.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Closures.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTableProf.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Closures.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Closures.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Constants.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Utils.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Utils.hs
$(eval $(call hi-rule,libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Utils.hi  : %hi: %o  libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Utils.hs))
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Utils.o : libraries/base/dist-install/build/Prelude.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Utils.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Utils.o : libraries/ghc-prim/dist-install/build/GHC/CString.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Utils.o : libraries/base/dist-install/build/Foreign.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Utils.o : libraries/base/dist-install/build/Data/List.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Utils.o : libraries/base/dist-install/build/Data/Char.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Utils.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Utils.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Constants.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap.o : libraries/ghc-heap/GHC/Exts/Heap.hs
$(eval $(call hi-rule,libraries/ghc-heap/dist-install/build/GHC/Exts/Heap.hi  : %hi: %o  libraries/ghc-heap/GHC/Exts/Heap.hs))
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap.o : libraries/base/dist-install/build/Prelude.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap.o : libraries/base/dist-install/build/GHC/Word.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap.o : libraries/base/dist-install/build/GHC/Int.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap.o : libraries/base/dist-install/build/GHC/Arr.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap.o : libraries/base/dist-install/build/Data/Bits.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Utils.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/InfoTable.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Constants.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/ClosureTypes.hi
libraries/ghc-heap/dist-install/build/GHC/Exts/Heap.o : libraries/ghc-heap/dist-install/build/GHC/Exts/Heap/Closures.hi
# DO NOT DELETE: End of Haskell dependencies
libraries/ghc-heap_dist-install_depfile_haskell_EXISTS = YES
